org.eclipse.jetty.servlet

## Class ServletHolder.Registration

- java.lang.Object
- - org.eclipse.jetty.servlet.Holder.HolderRegistration
  - - org.eclipse.jetty.servlet.ServletHolder.Registration

- All Implemented Interfaces:
    Registration, Registration.Dynamic, ServletRegistration, ServletRegistration.Dynamic
  Enclosing class:
    ServletHolder

      public class ServletHolder.Registration
      extends Holder.HolderRegistration
      implements ServletRegistration.Dynamic

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.jetty.servlet.api.ServletRegistration

      `ServletRegistration.Dynamic`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServletHolder.Registration()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set<java.lang.String>` | `addMapping(java.lang.String... urlPatterns)`
    `int` | `getInitOrder()`
    `java.util.Collection<java.lang.String>` | `getMappings()`
    `java.lang.String` | `getRunAsRole()`
    `void` | `setLoadOnStartup(int loadOnStartup)`
    `void` | `setRunAsRole(java.lang.String role)`

    - ### Methods inherited from class org.eclipse.jetty.servlet.Holder.HolderRegistration

      `getClassName, getInitParameter, getInitParameters, getName, setAsyncSupported, setDescription, setInitParameter, setInitParameters`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.jetty.servlet.api.Registration.Dynamic

      `setAsyncSupported`

    - ### Methods inherited from interface org.eclipse.jetty.servlet.api.Registration

      `getClassName, getInitParameter, getInitParameters, getName, setInitParameter, setInitParameters`

- - ### Constructor Detail

    - #### ServletHolder.Registration

          public ServletHolder.Registration()

  - ### Method Detail

    - #### addMapping

          public java.util.Set<java.lang.String> addMapping(java.lang.String... urlPatterns)

      Specified by:
        `addMapping` in interface `ServletRegistration`

    - #### getMappings

          public java.util.Collection<java.lang.String> getMappings()

      Specified by:
        `getMappings` in interface `ServletRegistration`

    - #### getRunAsRole

          public java.lang.String getRunAsRole()

      Specified by:
        `getRunAsRole` in interface `ServletRegistration`

    - #### setLoadOnStartup

          public void setLoadOnStartup(int loadOnStartup)

      Specified by:
        `setLoadOnStartup` in interface `ServletRegistration.Dynamic`

    - #### getInitOrder

          public int getInitOrder()

    - #### setRunAsRole

          public void setRunAsRole(java.lang.String role)

      Specified by:
        `setRunAsRole` in interface `ServletRegistration.Dynamic`

Copyright © 2013 FuseSource, Corp.. All Rights Reserved.